/*
 * @Author: wrh
 * @Date: 2024-09-23 14:23:36
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2025-06-06 09:28:06
 */
import request from '@/utils/request'

// 查询绩效审批列表
export function listPerformance(query) {
  return request({
    url: '/oa/performance/list',
    method: 'get',
    params: query
  })
}

// 查询绩效审批详细
export function getPerformance(performanceId) {
  return request({
    url: '/oa/performance/' + performanceId,
    method: 'get'
  })
}

// 新增绩效审批
export function addPerformance(data) {
  return request({
    url: '/oa/performance',
    method: 'post',
    data: data
  })
}

// 修改绩效审批
export function updatePerformance(data) {
  return request({
    url: '/oa/performance',
    method: 'put',
    data: data
  })
}

// 删除绩效审批
export function delPerformance(performanceId) {
  return request({
    url: '/oa/performance/' + performanceId,
    method: 'delete'
  })
}
